Index: Portfile
===================================================================
--- Portfile	(revision 140962)
+++ Portfile	(working copy)
@@ -1,48 +1,60 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem          1.0
 
 name                glabels
-version             2.2.8
-revision            2
+version             3.2.1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          gnome
 platforms           darwin
 maintainers         gmail.com:craig.cottingham
-description         print labels and business cards
+description         A label and business card creation program
 long_description    gLabels is a program for creating labels and business cards \
                     for the GNOME desktop environment.
 homepage            http://glabels.sourceforge.net/
 
 master_sites        gnome:sources/${name}/${branch}/
-use_bzip2           yes
 
-checksums           md5     8e0ac4b19de68d55e33aef6a5544f0e5 \
-                    sha1    65884fde0744fe6b8aaf5bb39deee427d292dce3 \
-                    rmd160  072aac5328efd548c5a0a994523eba9753158d3d
+use_xz              yes
 
+checksums           rmd160  8424433a8df0508773d716a42c210bdd2079bf80 \
+                    sha256  db615f653b6e78ef1209814b5e6d8d3af4f8d3444a259ddbcc0dfb279c7df855
+
 depends_build       port:pkgconfig \
-                    port:gnome-doc-utils \
-                    port:intltool
+                    port:autoconf \
+                    port:automake \
+                    port:libtool \
+                    port:gnome-common \
+                    port:gtk-doc \
+                    port:intltool \
+                    port:itstool \
+                    port:yelp-tools
 
-depends_lib         port:gtk2 \
-                    port:libgnomeui \
+depends_lib         port:gtk3 \
                     port:libxml2 \
-                    port:libglade2
+                    port:librsvg \
+                    port:barcode \
+                    port:qrencode
 
-patchfiles          patch-glib-2.32.diff \
-                    patch-iec16022-0.2.1-iec116022ecc200.c.diff
+depends_run         port:gnome-themes-standard \
+                    port:yelp
 
-configure.args      --without-libebook \
-                    --disable-update-mimedb \
-		    --disable-update-desktopdb
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 
-post-activate {
-	system "${prefix}/bin/update-desktop-database -q ${prefix}/share/applications; true"
-	system "${prefix}/bin/update-mime-database ${prefix}/share/mime; true"
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
 }
 
+configure.cmd       ./autogen.sh
+
+configure.args      --without-libebook \
+                    --without-libzint \
+                    --without-libiec16022 \
+                    --enable-compile-warnings=minimum \
+                    --disable-silent-rules \
+                    --disable-schemas-compile
+
 variant eds description {Build with Evolution Data Server support} {
         depends_lib-append    port:evolution-data-server
         configure.args-delete --without-libebook
@@ -52,8 +64,14 @@
 # evolution-data-server -> nss is not universal
 #
 
-if { [variant_isset eds] } {
+if {[variant_isset eds]} {
     universal_variant no
 }
 
+post-activate {
+    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
+}
+
 livecheck.type      gnome
Index: files/autogen.sh
===================================================================
Index: files/patch-glib-2.32.diff
===================================================================
--- files/patch-glib-2.32.diff	(revision 140962)
+++ files/patch-glib-2.32.diff	(nonexistent)
@@ -1,564 +0,0 @@
---- libglabels/category.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/category.c	2012-10-31 04:45:28.000000000 -0500
-@@ -29,9 +29,7 @@
- #include "category.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- 
- #include "libglabels-private.h"
---- libglabels/category.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/category.h	2012-10-31 04:45:28.000000000 -0500
-@@ -28,8 +28,7 @@
- #ifndef __CATEGORY_H__
- #define __CATEGORY_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- libglabels/db.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/db.c	2012-10-31 04:45:28.000000000 -0500
-@@ -29,11 +29,7 @@
- #include "db.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gdir.h>
--#include <glib/gmessages.h>
--#include <glib/ghash.h>
-+#include <glib.h>
- #include <string.h>
- #include <sys/stat.h>
- #include <sys/types.h>
---- libglabels/db.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/db.h	2012-10-31 04:45:28.000000000 -0500
-@@ -28,8 +28,7 @@
- #ifndef __DB_H__
- #define __DB_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- 
- #include "paper.h"
- #include "category.h"
---- libglabels/libglabels-private.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/libglabels-private.h	2012-10-31 04:45:28.000000000 -0500
-@@ -26,9 +26,7 @@
- #ifndef __LIBGLABELS_PRIVATE_H__
- #define __LIBGLABELS_PRIVATE_H__
- 
--#include <glib/gutils.h>
--#include <glib/gfileutils.h>
--#include <glib/gunicode.h>
-+#include <glib.h>
- 
- #include "str.h"
- 
---- libglabels/paper.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/paper.c	2012-10-31 04:45:28.000000000 -0500
-@@ -27,9 +27,7 @@
- #include "paper.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- 
- #include "libglabels-private.h"
---- libglabels/paper.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/paper.h	2012-10-31 04:45:28.000000000 -0500
-@@ -26,8 +26,7 @@
- #ifndef __PAPER_H__
- #define __PAPER_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- libglabels/template.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/template.c	2012-10-31 04:45:28.000000000 -0500
-@@ -29,10 +29,7 @@
- #include "template.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gqsort.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- #include <sys/stat.h>
- #include <sys/types.h>
---- libglabels/template.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/template.h	2012-10-31 04:45:28.000000000 -0500
-@@ -28,8 +28,7 @@
- #ifndef __TEMPLATE_H__
- #define __TEMPLATE_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- libglabels/xml-category.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml-category.c	2012-10-31 04:45:28.000000000 -0500
-@@ -27,7 +27,7 @@
- #include "xml-category.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- #include <libintl.h>
- 
---- libglabels/xml-category.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml-category.h	2012-10-31 04:45:28.000000000 -0500
-@@ -26,8 +26,7 @@
- #ifndef __XML_CATEGORY_H__
- #define __XML_CATEGORY_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- #include <libxml/tree.h>
- 
- #include "category.h"
---- libglabels/xml-paper.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml-paper.c	2012-10-31 04:45:28.000000000 -0500
-@@ -27,7 +27,7 @@
- #include "xml-paper.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- #include <libintl.h>
- 
---- libglabels/xml-paper.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml-paper.h	2012-10-31 04:45:28.000000000 -0500
-@@ -26,8 +26,7 @@
- #ifndef __XML_PAPER_H__
- #define __XML_PAPER_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- #include <libxml/tree.h>
- 
- #include "paper.h"
---- libglabels/xml-template.c.orig	2010-02-15 15:49:22.000000000 -0600
-+++ libglabels/xml-template.c	2012-10-31 04:45:29.000000000 -0500
-@@ -29,7 +29,7 @@
- #include "xml-template.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- #include <libintl.h>
- 
---- libglabels/xml.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml.c	2012-10-31 04:45:29.000000000 -0500
-@@ -27,8 +27,7 @@
- #include "xml.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <string.h>
- 
- #include "libglabels-private.h"
---- libglabels/xml.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ libglabels/xml.h	2012-10-31 04:45:29.000000000 -0500
-@@ -26,7 +26,7 @@
- #ifndef __XML_H__
- #define __XML_H__
- 
--#include <glib/gtypes.h>
-+#include <glib.h>
- #include <libxml/tree.h>
- 
- #include "enums.h"
---- src/base64.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/base64.c	2012-10-31 04:45:29.000000000 -0500
-@@ -34,7 +34,7 @@
- 
- #include "base64.h"
- 
--#include <glib/gmem.h>
-+#include <glib.h>
- #include <ctype.h>
- #include <string.h>
- 
---- src/base64.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/base64.h	2012-10-31 04:45:29.000000000 -0500
-@@ -29,7 +29,7 @@
- #ifndef __BASE64_H__
- #define __BASE64_H__
- 
--#include <glib/gtypes.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- src/bc-gnubarcode.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/bc-gnubarcode.c	2012-10-31 04:45:29.000000000 -0500
-@@ -34,9 +34,7 @@
- 
- #include <ctype.h>
- #include <string.h>
--#include <glib/gstring.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "barcode.h"
- 
---- src/bc-iec16022.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/bc-iec16022.c	2012-10-31 04:45:29.000000000 -0500
-@@ -29,7 +29,7 @@
- #include <ctype.h>
- #include <string.h>
- #include <stdlib.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "iec16022ecc200.h"
- 
---- src/bc-postnet.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/bc-postnet.c	2012-10-31 04:45:29.000000000 -0500
-@@ -32,9 +32,7 @@
- #include "bc-postnet.h"
- 
- #include <ctype.h>
--#include <glib/gstring.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "debug.h"
- 
---- src/bc.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/bc.c	2012-10-31 04:45:29.000000000 -0500
-@@ -26,9 +26,7 @@
- #include "bc.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "bc-postnet.h"
- #include "bc-gnubarcode.h"
---- src/bc.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/bc.h	2012-10-31 04:45:29.000000000 -0500
-@@ -24,8 +24,7 @@
- #ifndef __BC_H__
- #define __BC_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- #include <pango/pango.h>
- 
- G_BEGIN_DECLS
---- src/critical-error-handler.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/critical-error-handler.c	2012-10-31 04:45:29.000000000 -0500
-@@ -26,7 +26,7 @@
- 
- #include "critical-error-handler.h"
- 
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <glib/gi18n.h>
- #include <gtk/gtkmessagedialog.h>
- #include <gtk/gtkstock.h>
---- src/critical-error-handler.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/critical-error-handler.h	2012-10-31 04:45:29.000000000 -0500
-@@ -25,7 +25,7 @@
- #ifndef __CRITICAL_ERROR_HANDLER_H__
- #define __CRITICAL_ERROR_HANDLER_H__
- 
--#include <glib/gmacros.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- src/debug.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/debug.c	2012-10-31 04:45:29.000000000 -0500
-@@ -32,10 +32,7 @@
- 
- #include "debug.h"
- 
--#include <glib/gutils.h>
--#include <glib/gmessages.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- glDebugSection debug_flags = GLABELS_DEBUG_NONE;
- 
---- src/debug.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/debug.h	2012-10-31 04:45:29.000000000 -0500
-@@ -32,7 +32,7 @@
- #ifndef __DEBUG_H__
- #define __DEBUG_H__
- 
--#include <glib/gtypes.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- src/label-barcode.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-barcode.c	2012-10-31 04:45:29.000000000 -0500
-@@ -25,9 +25,7 @@
- #include "label-barcode.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <cairo.h>
- #include <pango/pangocairo.h>
- 
---- src/label-box.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-box.c	2012-10-31 04:45:30.000000000 -0500
-@@ -24,9 +24,7 @@
- 
- #include "label-box.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "debug.h"
- 
---- src/label-ellipse.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-ellipse.c	2012-10-31 04:45:30.000000000 -0500
-@@ -24,9 +24,7 @@
- 
- #include "label-ellipse.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <math.h>
- 
- #include "cairo-ellipse-path.h"
---- src/label-image.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-image.c	2012-10-31 04:45:30.000000000 -0500
-@@ -24,9 +24,7 @@
- 
- #include "label-image.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <gdk/gdkcairo.h>
- 
- #include "pixmaps/checkerboard.xpm"
---- src/label-line.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-line.c	2012-10-31 04:45:30.000000000 -0500
-@@ -24,9 +24,7 @@
- 
- #include "label-line.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- 
- #include "debug.h"
- 
---- src/label-object.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-object.c	2012-10-31 04:45:30.000000000 -0500
-@@ -25,9 +25,7 @@
- 
- #include "label-object.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <math.h>
- 
- #include "marshal.h"
---- src/label-text.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/label-text.c	2012-10-31 04:45:30.000000000 -0500
-@@ -24,9 +24,7 @@
- 
- #include "label-text.h"
- 
--#include <glib/gmem.h>
--#include <glib/gstrfuncs.h>
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <pango/pango.h>
- #include <math.h>
- 
---- src/mini-preview-pixbuf-cache.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/mini-preview-pixbuf-cache.c	2012-10-31 04:45:30.000000000 -0500
-@@ -28,8 +28,7 @@
- 
- #include "libglabels/db.h"
- 
--#include <glib/gmem.h>
--#include <glib/ghash.h>
-+#include <glib.h>
- 
- #include "debug.h"
- 
---- src/pixbuf-cache.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/pixbuf-cache.h	2012-10-31 04:45:31.000000000 -0500
-@@ -24,8 +24,7 @@
- #ifndef __PIXBUF_CACHE_H__
- #define __PIXBUF_CACHE_H__
- 
--#include <glib/gmem.h>
--#include <glib/ghash.h>
-+#include <glib.h>
- #include <gdk-pixbuf/gdk-pixbuf.h>
- 
- G_BEGIN_DECLS
---- src/stock.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/stock.h	2012-10-31 04:45:31.000000000 -0500
-@@ -25,7 +25,7 @@
- #ifndef __STOCK_H__
- #define __STOCK_H__
- 
--#include <glib/gmacros.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
---- src/text-node.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/text-node.h	2012-10-31 04:45:31.000000000 -0500
-@@ -24,8 +24,7 @@
- #ifndef __TEXT_NODE_H__
- #define __TEXT_NODE_H__
- 
--#include <glib/gtypes.h>
--#include <glib/glist.h>
-+#include <glib.h>
- #include "merge.h"
- 
- G_BEGIN_DECLS
---- src/util.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/util.h	2012-10-31 04:45:31.000000000 -0500
-@@ -25,7 +25,7 @@
- #ifndef __UTIL_H__
- #define __UTIL_H__
- 
--#include <glib/glist.h>
-+#include <glib.h>
- #include <gtk/gtkcombobox.h>
- #include <pango/pango.h>
- 
---- src/view-barcode.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-barcode.c	2012-10-31 04:45:31.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-barcode.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- #include "color.h"
- #include "object-editor.h"
---- src/view-box.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-box.c	2012-10-31 04:45:31.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-box.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- #include "color.h"
- #include "object-editor.h"
---- src/view-ellipse.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-ellipse.c	2012-10-31 04:45:31.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-ellipse.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- #include <math.h>
- 
- #include "cairo-ellipse-path.h"
---- src/view-image.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-image.c	2012-10-31 04:45:32.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-image.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- #include "color.h"
- #include "object-editor.h"
---- src/view-line.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-line.c	2012-10-31 04:45:32.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-line.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- #include "color.h"
- #include "object-editor.h"
---- src/view-text.c.orig	2010-04-10 23:11:39.000000000 -0500
-+++ src/view-text.c	2012-10-31 04:45:32.000000000 -0500
-@@ -26,7 +26,7 @@
- #include "view-text.h"
- 
- #include <glib/gi18n.h>
--#include <glib/gmem.h>
-+#include <glib.h>
- 
- #include "color.h"
- #include "object-editor.h"
---- src/warning-handler.c.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/warning-handler.c	2012-10-31 04:45:32.000000000 -0500
-@@ -26,7 +26,7 @@
- 
- #include "warning-handler.h"
- 
--#include <glib/gmessages.h>
-+#include <glib.h>
- #include <glib/gi18n.h>
- #include <gtk/gtkmessagedialog.h>
- #include <gtk/gtkstock.h>
---- src/warning-handler.h.orig	2009-11-30 07:18:41.000000000 -0600
-+++ src/warning-handler.h	2012-10-31 04:45:32.000000000 -0500
-@@ -25,7 +25,7 @@
- #ifndef __WARNING_HANDLER_H__
- #define __WARNING_HANDLER_H__
- 
--#include <glib/gmacros.h>
-+#include <glib.h>
- 
- G_BEGIN_DECLS
- 
Index: files/patch-iec16022-0.2.1-iec116022ecc200.c.diff
===================================================================
--- files/patch-iec16022-0.2.1-iec116022ecc200.c.diff	(revision 140962)
+++ files/patch-iec16022-0.2.1-iec116022ecc200.c.diff	(nonexistent)
@@ -1,10 +0,0 @@
---- iec16022-0.2.1/iec16022ecc200.c.orig	2008-03-26 18:02:31.000000000 -0500
-+++ iec16022-0.2.1/iec16022ecc200.c	2008-03-26 18:02:47.000000000 -0500
-@@ -29,7 +29,6 @@
- #include <string.h>
- #include <time.h>
- #include <popt.h>
--#include <malloc.h>
- #include "reedsol.h"
- #include "iec16022ecc200.h"
- 
Index: .
===================================================================
--- .	(revision 140962)
+++ .	(working copy)

Property changes on: .
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,3 ##
   Merged /branches/mld-qt-481/dports/gnome/glabels:r92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
   Merged /users/devans/GNOME-3/stable/dports/gnome/glabels:r135531-140974
   Merged /users/rmstonecipher/gnome/glabels:r102363-103172