--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/gnss-sdr/Portfile	2015-09-30 20:01:11.000000000 +0200
+++ ./Portfile	2015-10-24 11:54:10.000000000 +0200
@@ -24,11 +24,12 @@
     github.setup        gnss-sdr gnss-sdr 0.0.6 v
     checksums           rmd160 3a578f4795f6230d3f627dbe6f80f77c7dac206e \
                         sha256 ed81a5dff8d91b0b1d561ab8a240818da447c8358b95ab42d6a17b479e873c3e
+
     github.tarball_from tags
 
     conflicts           gnss-sdr-devel gnss-sdr-next
 
-    depends_lib-append  port:gnuradio
+    depends_lib-append  port:gnuradio path:lib/libssl.dylib:openssl
 
     require_active_variants port:gnuradio uhd
 
@@ -42,6 +43,8 @@
         reinplace "s@multithread@opencl@g" ${worksrcpath}/src/algorithms/acquisition/gnuradio_blocks/pcps_opencl_acquisition_cc.cc
     }
 
+    set                 add_osmosdr true
+
 }
 
 subport gnss-sdr-devel {
@@ -50,10 +53,10 @@
         This port is kept up with the GNSS-SDR GIT master branch, which is typically updated daily to weekly.  This version of GNSS-SDR generally contains fixes and new features that will be incorporated in an upcoming release, and compiles against the gnuradio-devel port, which represents GNU Radio GIT master branch.  This port may or not compile or function correctly, as it represents a work in progress.  If it does not work, check back in a few days.  Or try deactivating the currently active gnss-sdr and gnuradio ports, cleaning any current builds, and trying again.
 
     name                gnss-sdr-devel
-    github.setup        gnss-sdr gnss-sdr b665444550e90bf595ade110cd57d69cf98145b9
-    version             20150918
-    checksums           rmd160 b6681236a4376d72cb606572e1ca0e3767b63681 \
-                        sha256 22a4f14e3f84d45d10025499272d406c7a6ef427b0f22df04491dd3a28ce561b
+    github.setup        gnss-sdr gnss-sdr 5c885627b5a3bbb26773910e801656a506a45c83
+    version             20151018
+    checksums           rmd160 8081aa17eb02616852cd216e7a5e4cb4041d89c4 \
+                        sha256 920f9af0135d683b4e9f52f191b0195d69fbb882c911503aa4b73262d04d0bfd
 
     conflicts           gnss-sdr gnss-sdr-next
 
@@ -61,6 +64,8 @@
 
     require_active_variants port:gnuradio-devel uhd
 
+    set                 add_osmosdr true
+
 }
 
 subport gnss-sdr-next {
@@ -68,10 +73,10 @@
         This port is kept up with the GNSS-SDR GIT next branch, which is typically updated daily to weekly.  This version of GNSS-SDR generally contains fixes and new features that will be incorporated in an upcoming release, and compiles against the gnuradio-next port, which represents GNU Radio GIT next branch.  This port may or not compile or function correctly, as it represents a work in progress.  If it does not work, check back in a few days.  Or try deactivating the currently active gnss-sdr and gnuradio ports, cleaning any current builds, and trying again.
 
     name                gnss-sdr-next
-    github.setup        gnss-sdr gnss-sdr b665444550e90bf595ade110cd57d69cf98145b9
-    version             20150918
-    checksums           rmd160 b6681236a4376d72cb606572e1ca0e3767b63681 \
-                        sha256 22a4f14e3f84d45d10025499272d406c7a6ef427b0f22df04491dd3a28ce561b
+    github.setup        gnss-sdr gnss-sdr 8f3a509a002ab2d0146804e11c1eb7cdb3dd603c
+    version             20151018
+    checksums           rmd160 ebc7f41cc4b37db78de460a136560e2591aa7c4c \
+                        sha256 65ad6fa553ca33a49740a42d121ee5891c46b1f12c3913b86f3535600e76b4d1
 
     conflicts           gnss-sdr gnss-sdr-devel
 
@@ -79,6 +84,8 @@
 
     require_active_variants port:gnuradio-next uhd
 
+    set                 add_osmosdr false
+
 }
 
 # override githib PortGroup homepage setting
@@ -91,7 +98,7 @@
     port:armadillo \
     port:google-glog \
     port:orc \
-    port:openssl \
+    port:gnutls \
     path:lib/libuhd.dylib:uhd \
     port:py27-cheetah
 
@@ -116,7 +123,16 @@
 # enable default variants: all except +docs, +debug, and +universal
 # do not enable +docs because it requires a non-standard variant for doxygen.
 
-default_variants +osmosdr +opencl
+if {${add_osmosdr} eq true} {
+    default_variants +osmosdr +opencl
+}
+
+# do not enable +osmosdr in next, since gr-osmosdr does not link against gnuradio-next
+if {${add_osmosdr} eq false} {
+    default_variants +opencl
+}
+
+
 
 variant docs description "Install ${name} documentation" {
 