diff -ur /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/rexx/Portfile ./Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/rexx/Portfile	2013-07-15 19:02:58.000000000 +0300
+++ ./Portfile	2015-10-30 01:31:47.000000000 +0200
@@ -4,12 +4,12 @@
 
 name			rexx
 conflicts		oorexx
-version			3.5
-revision		2
+version			3.9.1
+revision		0
 categories		lang
 license			LGPL
 platforms		darwin
-maintainers		nomaintainer
+maintainers		gmail.com:yoav.nir
 description		Regina Rexx is an interpreter for the Rexx language
 long_description	Regina is an implementation of the 1996 ANSI Standard for \
 					the Rexx language. Rexx is designed to be an easily \
@@ -20,8 +20,8 @@
 master_sites	sourceforge:regina-rexx
 distname		Regina-REXX-${version}
 
-checksums		sha1 b42c8483658a935b62e935c478470f0e81b4ebf5 \
-				rmd160 f7170c07904d762d9d8a6f8f8730a61abb0889f3
+checksums		sha1 36b3cfbf78e5059ed615d2e162d7a19a0b4f48f8 \
+				rmd160 45666e3304ad482cc543054ca9b6dcbbaee6d66d
 
 patchfiles			patch-configure.diff
 
Only in .: change-rexx-maintainer.diff
diff -ur /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/rexx/files/patch-configure.diff ./files/patch-configure.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/rexx/files/patch-configure.diff	2013-07-15 19:02:58.000000000 +0300
+++ ./files/patch-configure.diff	2015-10-30 01:31:21.000000000 +0200
@@ -1,92 +1,11 @@
---- configure.orig	2009-12-30 17:56:37.000000000 -0600
-+++ configure	2010-11-19 17:09:55.000000000 -0600
-@@ -3080,66 +3080,6 @@
- #     mymakefile="Makefile.aix"
-       ;;
-    *apple-darwin*)
--      { echo "$as_me:$LINENO: checking for which Mac OSX -arch flags are supported" >&5
--echo $ECHO_N "checking for which Mac OSX -arch flags are supported... $ECHO_C" >&6; }
--valid_arch_flags=""
--found_arch_flags=""
--arch_flags="ppc ppc64 x86_64 i386"
--for a in $arch_flags; do
--  save_ldflags="$LDFLAGS"
--  LDFLAGS="$LDFLAGS -arch $a"
--  cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--#include <stdio.h>
--int
--main ()
--{
--exit(0)
--  ;
--  return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
--  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
--  *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
--  (eval "$ac_link") 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } && {
--	 test -z "$ac_c_werror_flag" ||
--	 test ! -s conftest.err
--       } && test -s conftest$ac_exeext &&
--       $as_test_x conftest$ac_exeext; then
--  valid_arch_flags="$valid_arch_flags -arch $a";found_arch_flags="$found_arch_flags $a"
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--	a="$a"
--
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
--      conftest$ac_exeext conftest.$ac_ext
--  LDFLAGS="$save_ldflags"
--done
--{ echo "$as_me:$LINENO: result: $found_arch_flags" >&5
--echo "${ECHO_T}$found_arch_flags" >&6; }
--
--
--      SYS_DEFS="$valid_arch_flags"
--      EEXTRA="$valid_arch_flags"
-       ;;
-    *dec-osf*)
-       ;;
-@@ -9574,10 +9514,9 @@
-                 #
- # MH                LD_RXLIB_A1="${CC} -bundle -flat_namespace -undefined suppress -o \$(@)"
- # MH                LD_RXLIB_A2="${CC} -bundle -flat_namespace -undefined suppress -o \$(@)"
--                EEXTRA="$valid_arch_flags"
--                LD_RXLIB_A1="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -o \$(@)"
--                LD_RXLIB_A2="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -o \$(@)"
--                LD_RXLIB_UTILA="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -o \$(@)"
-+                LD_RXLIB_A1="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -install_name ${libdir}/\$(@) -o \$(@)"
-+                LD_RXLIB_A2="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -install_name ${libdir}/\$(@) -o \$(@)"
-+                LD_RXLIB_UTILA="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -install_name ${libdir}/\$(@) -o \$(@)"
-                 LD_RXLIB_B1="-L. -l${SHLFILE} -lc \$(SHLIBS)"
-                 LD_RXLIB_B2="-L. -l${SHLFILE} -lc \$(SHLIBS)"
-                 LD_RXLIB_UTILB="-L. -l${SHLFILE} -lc \$(SHLIBS)"
-@@ -9585,7 +9524,7 @@
-                 SHLPRE="lib"
- # MH                BUNDLE=".so"
-                 BUNDLE=".junk"
--                SHL_LD="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -install_name ${SHLPRE}${SHLFILE}${SHLPST} -o ${SHLPRE}${SHLFILE}${SHLPST} "'$('SHOFILES')'
-+                SHL_LD="${CC} ${EEXTRA} -dynamiclib ${LDFLAGS} -install_name ${libdir}/${SHLPRE}${SHLFILE}${SHLPST} -o ${SHLPRE}${SHLFILE}${SHLPST} "'$('SHOFILES')'
-                 SHL_BASE="${LIBPRE}${SHLFILE}${SHLPST}"
- # MH                EXTRATARGET="libregina$BUNDLE"
-                 OTHER_INSTALLS="installlib"
+--- configure.orig	2015-10-29 23:28:34.000000000 +0200
++++ configure	2015-10-29 23:26:45.000000000 +0200
+@@ -889,7 +889,7 @@
+ dvidir='${docdir}'
+ pdfdir='${docdir}'
+ psdir='${docdir}'
+-libdir='${exec_prefix}/lib'
++libdir='${prefix}/lib'
+ localedir='${datarootdir}/locale'
+ mandir='${datarootdir}/man'
+ 