Index: devel/cmake/Portfile
===================================================================
--- devel/cmake/Portfile	(revision 142570)
+++ devel/cmake/Portfile	(working copy)
@@ -180,37 +180,8 @@
 }
 
 variant gui description {Build Qt-based cmake-gui} {
+    PortGroup cxx11 1.0
     configure.args-append --qt-gui
-
-    # when building the GUI with Qt, CMake uses C++11. So, make sure
-    # the compiler used is c++11 compliant.
-    
-    if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-        # *clang* when using libstdc++ do not seem to support C++11;
-        # C++11 support seems to need GCC 4.7+ when using libstdc++;
-        # could use C++0x support on GCC4.[56], but just ignore it since
-        # there are newer compilers already in place as defaults.
-
-        # Blacklist GCC compilers not supporting C++11 and all CLANG.
-        # This is probably not necessary, but it's good practice.
-
-        compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
-
-        # and whitelist those we do want to use. wish there were a better way.
-        # these will be used in the order provided.
-
-        compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-    } else {
-
-        # using libc++;
-        # Blacklist Clang not supporting C++11 in some form and all GCC.
-        # Just use the cxx11 PortGroup for this specific case.
-
-        PortGroup cxx11 1.0
-
-    }
 }
 
 variant qt4 conflicts qt5 requires gui description {Build Qt GUI using Qt4} {
Index: science/gnuradio/Portfile
===================================================================
--- science/gnuradio/Portfile	(revision 142570)
+++ science/gnuradio/Portfile	(working copy)
@@ -583,33 +583,6 @@
 
 variant cxx11 description "Compile using C++11" {
 
-    # require C++11
-
+    PortGroup cxx11 1.0
     configure.cxxflags-append -std=c++11
-
-    if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-        # *clang* when using libstdc++ do not seem to support C++11;
-        # C++11 support seems to need GCC 4.7+ when using libstdc++;
-        # could use C++0x support on GCC4.[56], but just ignore it since
-        # there are newer compilers already in place as defaults.
-
-        # Blacklist GCC compilers not supporting C++11 and all CLANG.
-        # This is probably not necessary, but it's good practice.
-
-        compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
-
-        # and whitelist those we do want to use. wish there were a better way.
-        # these will be used in the order provided.
-
-        compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-    } else {
-
-        # using libc++;
-        # Blacklist Clang not supporting C++11 in some form and all GCC.
-
-        compiler.blacklist-append *gcc* {clang < 500}
-
-    }
 }
Index: science/gr-foo/Portfile
===================================================================
--- science/gr-foo/Portfile	(revision 142570)
+++ science/gr-foo/Portfile	(working copy)
@@ -3,6 +3,7 @@
 
 PortSystem          1.0
 PortGroup           cmake 1.0
+PortGroup           cxx11 1.0
 PortGroup           github 1.0
 PortGroup           active_variants 1.1
 
@@ -61,35 +62,6 @@
     -DPYTHON_LIBRARY=${prefix}/Library/Frameworks/Python.framework/Versions/2.7/Python \
     -DGR_PYTHON_DIR=${frameworks_dir}/Python.framework/Versions/2.7/lib/python2.7/site-packages
 
-# require c++11
-
 post-patch {
     reinplace "s/c++0x/c++11/" ${worksrcpath}/CMakeLists.txt
 }
-
-if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-    # *clang* when using libstdc++ do not seem to support C++11;
-    # C++11 support seems to need GCC 4.7+ when using libstdc++;
-    # could use C++0x support on GCC4.[56], but just ignore it since
-    # there are newer compilers already in place as defaults.
-
-    # Blacklist GCC compilers not supporting C++11 and all CLANG.
-    # This is probably not necessary, but it's good practice.
-
-    compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
-
-    # and whitelist those we do want to use. wish there were a better way.
-    # these will be used in the order provided.
-
-    compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-} else {
-
-    # using libc++;
-    # Blacklist Clang not supporting C++11 in some form and all GCC.
-    # Just use the cxx11 PortGroup for this specific case.
-
-    PortGroup cxx11 1.0
-
-}
Index: science/gr-ieee802-11/Portfile
===================================================================
--- science/gr-ieee802-11/Portfile	(revision 142570)
+++ science/gr-ieee802-11/Portfile	(working copy)
@@ -3,6 +3,7 @@
 
 PortSystem          1.0
 PortGroup           cmake 1.0
+PortGroup           cxx11 1.0
 PortGroup           github 1.0
 PortGroup           active_variants 1.1
 
@@ -61,35 +62,6 @@
     -DPYTHON_LIBRARY=${prefix}/Library/Frameworks/Python.framework/Versions/2.7/Python \
     -DGR_PYTHON_DIR=${frameworks_dir}/Python.framework/Versions/2.7/lib/python2.7/site-packages
 
-# require c++11
-
 post-patch {
     reinplace "s/c++0x/c++11/" ${worksrcpath}/CMakeLists.txt
 }
-
-if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-    # *clang* when using libstdc++ do not seem to support C++11;
-    # C++11 support seems to need GCC 4.7+ when using libstdc++;
-    # could use C++0x support on GCC4.[56], but just ignore it since
-    # there are newer compilers already in place as defaults.
-
-    # Blacklist GCC compilers not supporting C++11 and all CLANG.
-    # This is probably not necessary, but it's good practice.
-
-    compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
-
-    # and whitelist those we do want to use. wish there were a better way.
-    # these will be used in the order provided.
-
-    compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-} else {
-
-    # using libc++;
-    # Blacklist Clang not supporting C++11 in some form and all GCC.
-    # Just use the cxx11 PortGroup for this specific case.
-
-    PortGroup cxx11 1.0
-
-}
Index: science/gr-ieee802-15-4/Portfile
===================================================================
--- science/gr-ieee802-15-4/Portfile	(revision 142570)
+++ science/gr-ieee802-15-4/Portfile	(working copy)
@@ -3,6 +3,7 @@
 
 PortSystem          1.0
 PortGroup           cmake 1.0
+PortGroup           cxx11 1.0
 PortGroup           github 1.0
 PortGroup           active_variants 1.1
 
@@ -63,35 +64,6 @@
     -DPYTHON_LIBRARY=${prefix}/Library/Frameworks/Python.framework/Versions/2.7/Python \
     -DGR_PYTHON_DIR=${frameworks_dir}/Python.framework/Versions/2.7/lib/python2.7/site-packages
 
-# require c++11
-
 post-patch {
     reinplace "s/c++0x/c++11/" ${worksrcpath}/CMakeLists.txt
 }
-
-if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-    # *clang* when using libstdc++ do not seem to support C++11;
-    # C++11 support seems to need GCC 4.7+ when using libstdc++;
-    # could use C++0x support on GCC4.[56], but just ignore it since
-    # there are newer compilers already in place as defaults.
-
-    # Blacklist GCC compilers not supporting C++11 and all CLANG.
-    # This is probably not necessary, but it's good practice.
-
-    compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
-
-    # and whitelist those we do want to use. wish there were a better way.
-    # these will be used in the order provided.
-
-    compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-} else {
-
-    # using libc++;
-    # Blacklist Clang not supporting C++11 in some form and all GCC.
-    # Just use the cxx11 PortGroup for this specific case.
-
-    PortGroup cxx11 1.0
-
-}
Index: science/volk/Portfile
===================================================================
--- science/volk/Portfile	(revision 142570)
+++ science/volk/Portfile	(working copy)
@@ -137,36 +137,8 @@
 
 variant cxx11 description "Compile Volk using C++11 compliance" {
 
-    # require C++11
-
+    PortGroup cxx11 1.0
     configure.cxxflags-append -std=c++11
-
-    if {${configure.cxx_stdlib} eq "libstdc++"} {
-
-        # *clang* when using libstdc++ do not seem to support C++11;
-        # C++11 support seems to need GCC 4.7+ when using libstdc++;
-        # could use C++0x support on GCC4.[56], but just ignore it since
-        # there are newer compilers already in place as defaults.
-
-        # Blacklist GCC compilers not supporting C++11 and all CLANG.
-        # This is probably not necessary, but it's good practice.
-
-        compiler.blacklist-append *clang* *gcc-3.* {*gcc-4.[0-6]}
-
-        # and whitelist those we do want to use. wish there were a better way.
-        # these will be used in the order provided.
-
-        compiler.whitelist macports-gcc-4.9 macports-gcc-4.8 macports-gcc-4.7
-
-    } else {
-
-        # using libc++;
-        # Blacklist Clang not supporting C++11 in some form and all GCC.
-        # Just use the cxx11 PortGroup for this specific case.
-
-        PortGroup cxx11 1.0
-
-    }
 }
 
 pre-extract {