Index: science/root5/Portfile
===================================================================
--- science/root5/Portfile	(revision 143483)
+++ science/root5/Portfile	(working copy)
@@ -10,7 +10,7 @@
 
 github.setup        root-mirror root 5-34-34 v
 version             5.34.34
-revision            1
+revision            2
 
 set version_major   [lindex [split ${version} .] 0]
 
Index: science/root5/files/root5
===================================================================
--- science/root5/files/root5	(revision 143483)
+++ science/root5/files/root5	(working copy)
@@ -28,6 +28,14 @@
 libexec/root5/bin/thisroot.sh
 libexec/root5/bin/xpdtest
 -
+-
+-
+-
+-
+-
+-
+-
+-
 libexec/root5/share/man/man1/cint.1.gz
 libexec/root5/share/man/man1/g2root.1.gz
 libexec/root5/share/man/man1/g2rootold.1.gz
Index: science/root6/Portfile
===================================================================
--- science/root6/Portfile	(revision 143483)
+++ science/root6/Portfile	(working copy)
@@ -11,15 +11,15 @@
 
 # don't forget to update both the git tag and the version
 #github.setup       root-mirror root <sha>
-github.setup        root-mirror root 6-04-12 v
-version             6.04.12
+github.setup        root-mirror root 6-06-00 v
+version             6.06.00
 
 # this could be a better way to set the version (unless we use a sha sum for the git tag ;)
 # version           [string map {- .} $version]
 set version_major   [lindex [split ${version} .] 0]
 
-checksums           rmd160  a607eb11c3e84c8e61c1c7dcdad5de7daa0c998c \
-                    sha256  140de60f190970453dd0c53aa27b33fa73fe1c8a6e863620a4c6fb9ac9a975a2
+checksums           rmd160  84ce0e3b637e2cc81cc4d6c598118e50d5f18125 \
+                    sha256  90416cd4d836b8ca48c2e31cc7774a5e35ee21f0748596487e39fa0af2cf2324
 
 name                root${version_major}
 categories          science
@@ -60,9 +60,8 @@
 select.file         ${filespath}/${name}
 
 # Force a compatible compiler
-compiler.blacklist-append *gcc* {clang < 500} macports-clang-3.3
-compiler.fallback-append  macports-clang-3.7 macports-clang-3.6 macports-clang-3.5 \
-                          macports-clang-3.4
+compiler.blacklist-append *gcc* {clang < 500}  macports-clang-3.4 macports-clang-3.3
+compiler.fallback-append  macports-clang-3.7 macports-clang-3.6
 
 # port specific location
 set install_prefix ${prefix}/libexec/root${version_major}
@@ -124,6 +123,7 @@
                     -Dvc=OFF \
                     -Dastiff=ON \
                     -Dgeocad=OFF \
+                    -Dr=OFF \
                     -DPNG_LIBRARY=${prefix}/lib/libpng.dylib \
                     -DPNG_PNG_INCLUDE_DIR=${prefix}/include
 
@@ -169,9 +169,12 @@
 }
 
 post-destroot {
-    # create versioned symlinks for the content of libexec
-    # bin dir
+    # Temporary - Set execute flag on binaries (broken in 6.06.00)
     foreach f [glob -directory ${destroot}${install_prefix}/bin *] {
+        system "chmod +x $f"
+    }
+    # create versioned symlinks for the content of libexec bin dir
+    foreach f [glob -directory ${destroot}${install_prefix}/bin *] {
         set filename  [file tail $f]
         set extension [file extension $filename]
         set base      [file rootname $filename]
@@ -224,7 +227,7 @@
 
 universal_variant   no
 
-default_variants    +ssl +xml +gsl +minuit2 +tmva +roofit +graphviz +opengl +soversion +http
+default_variants    +ssl +xml +gsl +minuit2 +tmva +roofit +graphviz +opengl +soversion +http +cxx14
 
 # Since ROOT 5.34.15 the cocoa backend is default on OSX 10.8 or newer
 # We also make it default on 10.7
@@ -234,12 +237,6 @@
     set default_gui_variant +x11
 }
 
-# variant geocad description {Enable CAD Interface} {
-#     configure.args-replace  -Dgeocad=OFF -Dgeocad=ON
-#     depends_lib-append      port:oce
-#     configure.args-append   -DOCC_INCLUDE_DIR="${prefix}/include/oce"
-# }
-
 variant qt4 description {Enable QT4 support} {
     configure.args-replace  -Dqt=OFF -Dqt=ON
     PortGroup qt4 1.0
@@ -423,6 +420,9 @@
             foreach f [ exec find ${destroot}${install_prefix} -type f -and -name "*.py" ] {
                 reinplace "s|${pystringtoreplace}|${prefix}/bin/python${active_python_version}|g" $f
             }
+            foreach f [ exec find ${destroot}${install_prefix}/bin -type f | xargs grep -Il ${pystringtoreplace} ] {
+                reinplace "s|${pystringtoreplace}|${prefix}/bin/python${active_python_version}|g" $f
+            }
         }
 
     }
@@ -487,7 +487,7 @@
 variant postgresql90 conflicts postgresql92 description {Build with PostgreSQL 9.0 support} {
     configure.args-replace -Dpgsql=OFF -Dpgsql=ON
     configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql90"\
-                           -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql90/libpq.dylib"
+                           -DPOSTGRESQL_LIBRARY="${prefix}/lib/postgresql90/libpq.dylib"
     depends_lib-append      port:libpqxx port:postgresql90
 }
 
@@ -494,7 +494,7 @@
 variant postgresql92 conflicts postgresql90 description {Build with PostgreSQL 9.2 support} {
     configure.args-replace -Dpgsql=OFF -Dpgsql=ON
     configure.args-append  -DPOSTGRESQL_INCLUDE_DIR="${prefix}/include/postgresql92" \
-                           -DPOSTGRESQL_LIBRARIES="${prefix}/lib/postgresql92/libpq.dylib"
+                           -DPOSTGRESQL_LIBRARY="${prefix}/lib/postgresql92/libpq.dylib"
     depends_lib-append      port:libpqxx port:postgresql92
 }
 
@@ -550,7 +550,7 @@
 # ========================================================================================
 
 # List of possible clang versions that work
-set clang_versions { 3.4 3.5 3.6 3.7 }
+set clang_versions { 3.6 3.7 3.8 }
 
 # Define the available variants
 foreach clang_ver ${clang_versions} {
@@ -567,19 +567,15 @@
 
 # make sure that the proper variant is automatically selected
 # (ROOT crashes if the compiler it was built with doesn't exist)
-if { ![variant_isset clang33] && ![variant_isset clang34] &&
-     ![variant_isset clang35] && ![variant_isset clang36] &&
-     ![variant_isset clang37] } {
-    if       { ${configure.compiler} eq "macports-clang-3.3" } {
-        default_variants-append +clang33
-    } elseif { ${configure.compiler} eq "macports-clang-3.4" } {
-        default_variants-append +clang34
-    } elseif { ${configure.compiler} eq "macports-clang-3.5" } {
-        default_variants-append +clang35
-    } elseif { ${configure.compiler} eq "macports-clang-3.6" } {
+if { ![variant_isset clang36] &&
+     ![variant_isset clang37] &&
+     ![variant_isset clang38] } {
+    if       { ${configure.compiler} eq "macports-clang-3.6" } {
         default_variants-append +clang36
     } elseif { ${configure.compiler} eq "macports-clang-3.7" } {
         default_variants-append +clang37
+    } elseif { ${configure.compiler} eq "macports-clang-3.8" } {
+        default_variants-append +clang38
     }
 }
 
@@ -655,7 +651,8 @@
 
 # ========================================================================================
 
-# Problems finding includes ...
+# Various variants etc. with problems. Work in progress...
+
 # variant ruby description {Build with ruby support} {
 #     configure.args-replace  -Druby=OFF -Druby=ON
 #     depends_lib-append      port:ruby
@@ -665,3 +662,14 @@
 # livecheck.type              regex
 # livecheck.url               http://root.cern.ch/svn/root/trunk
 # livecheck.regex             ${name}_v(\[0-9a-z.\]+)\\.source
+
+# variant geocad description {Enable CAD Interface} {
+#     configure.args-replace  -Dgeocad=OFF -Dgeocad=ON
+#     depends_lib-append      port:oce
+#     configure.args-append   -DOCC_INCLUDE_DIR="${prefix}/include/oce"
+# }
+
+# variant r description {Enable R support} {
+#     configure.args-replace  -Dr=OFF -Dr=ON
+#     depends_lib-append  port:R
+# }
Index: science/root6/files/root6
===================================================================
--- science/root6/files/root6	(revision 143483)
+++ science/root6/files/root6	(working copy)
@@ -28,12 +28,20 @@
 libexec/root6/bin/thisroot.sh
 -
 libexec/root6/bin/rootcling
+libexec/root6/bin/rootbrowse
+libexec/root6/bin/rootcp
+libexec/root6/bin/rooteventselector
+libexec/root6/bin/rootls
+libexec/root6/bin/rootmkdir
+libexec/root6/bin/rootmv
+libexec/root6/bin/rootprint
+libexec/root6/bin/rootrm
 -
 libexec/root6/share/man/man1/g2root.1.gz
 libexec/root6/share/man/man1/g2rootold.1.gz
 libexec/root6/share/man/man1/genmap.1.gz
-libexec/root6/share/man/man1/genreflex-rootcint.1.gz
-libexec/root6/share/man/man1/genreflex.1.gz
+-
+-
 libexec/root6/share/man/man1/h2root.1.gz
 libexec/root6/share/man/man1/hadd.1.gz
 libexec/root6/share/man/man1/hist2workspace.1.gz
@@ -54,7 +62,7 @@
 libexec/root6/share/man/man1/proofd.1.gz
 libexec/root6/share/man/man1/proofserv.1.gz
 libexec/root6/share/man/man1/proofserva.1.gz
-libexec/root6/share/man/man1/rlibmap.1.gz
+-
 libexec/root6/share/man/man1/rmkdepend.1.gz
 libexec/root6/share/man/man1/root-config.1.gz
 libexec/root6/share/man/man1/root.1.gz
@@ -69,7 +77,7 @@
 libexec/root6/share/man/man1/system.rootdaemonrc.1.gz
 libexec/root6/share/man/man1/xpdtest.1.gz
 libexec/root6/share/man/man1/xproofd.1.gz
-libexec/root6/share/man/man1/rootcling.1.gz
+-
 libexec/root6/etc/root
 libexec/root6/include/root
 libexec/root6/share
Index: sysutils/root_select/Portfile
===================================================================
--- sysutils/root_select/Portfile	(revision 143483)
+++ sysutils/root_select/Portfile	(working copy)
@@ -5,7 +5,7 @@
 PortGroup           select 1.0
 
 name                root_select
-version             1.1
+version             1.2
 
 categories          sysutils science
 platforms           darwin
Index: sysutils/root_select/files/base
===================================================================
--- sysutils/root_select/files/base	(revision 143483)
+++ sysutils/root_select/files/base	(working copy)
@@ -28,6 +28,14 @@
 bin/thisroot.sh
 bin/xpdtest
 bin/rootcling
+bin/rootbrowse
+bin/rootcp
+bin/rooteventselector
+bin/rootls
+bin/rootmkdir
+bin/rootmv
+bin/rootprint
+bin/rootrm
 share/man/man1/cint.1.gz
 share/man/man1/g2root.1.gz
 share/man/man1/g2rootold.1.gz
Index: sysutils/root_select/files/none
===================================================================
--- sysutils/root_select/files/none	(revision 143483)
+++ sysutils/root_select/files/none	(working copy)
@@ -73,3 +73,11 @@
 -
 -
 -
+-
+-
+-
+-
+-
+-
+-
+-