--- Portfile.orig	2015-12-23 08:33:57.000000000 +0100
+++ Portfile	2015-12-23 08:31:51.000000000 +0100
@@ -2,12 +2,12 @@
 # $Id: Portfile 143695 2015-12-18 04:14:52Z devans@macports.org $
 
 PortSystem 1.0
+PortGroup               github 1.0
 
-name                    ipe-tools
-version                 20140303
-revision                14
+github.setup            otfried ipe-tools e5b23399a83d69fd5bb5d4645ef7325b4b57435b
+version                 20151202
 categories              graphics
-maintainers             jacobs-university.de:m.thon \
+maintainers             gmail.com:m7.thon \
                         gmx.de:Torsten.Maehne \
                         openmaintainer
 platforms               darwin
@@ -20,36 +20,13 @@
                         svgtoipe, pdftoipe, figtoipe, ipe5toxml
 
 homepage                http://ipe.otfried.org/
-master_sites            sourceforge:project/ipe7/tools
 
-set svgtoipe-vers       20131107
-set pdftoipe-vers       20140303
-set figtoipe-vers       20091205
-set ipe5toxml-vers      20051114
-
-distfiles               svgtoipe-${svgtoipe-vers}${extract.suffix} \
-                        pdftoipe-${pdftoipe-vers}-src${extract.suffix} \
-                        figtoipe-${figtoipe-vers}${extract.suffix} \
-                        ipe5toxml-${ipe5toxml-vers}${extract.suffix}
-
-checksums               svgtoipe-${svgtoipe-vers}${extract.suffix} \
-                            sha1    3a702dcd5bce542e7479d197f7e8b7a71d6a8fec \
-                            rmd160  841f690fe3b9f9e6c00139c90606eaaf9f7c67b7 \
-                        pdftoipe-${pdftoipe-vers}-src${extract.suffix} \
-                            sha1    d6de3d6a2bad7e97cb3c545665dec40d5d9708f0 \
-                            rmd160  9744f49d18b7bd72e610122c68d12230e457def5 \
-                        figtoipe-${figtoipe-vers}${extract.suffix} \
-                            sha1    b81f2f0cc568e165bdedb618ced9384ebfcb19a3 \
-                            rmd160  cc1615b55313ab8c151565bdb498fff8ba945029 \
-                        ipe5toxml-${ipe5toxml-vers}${extract.suffix} \
-                            sha1    23cb8b40f1aa8a9bc4904d295b08fe0293cda7fc \
-                            rmd160  44c22367e3ef3cb4607310d15af51f527b006be0
+checksums               sha1    a650856f7123fe68499f20bbe66695cb040306f7 \
+                        rmd160  9ee6d4eb84455d55a36d24e2233de9f6a25a21f7
 
-worksrcdir              .
-
-patchfiles              patch-svgtoipe-python_path.diff
+patchfiles              patch-svgtoipe-svgtoipe.py.diff
 post-patch {
-    reinplace "s|__MP_PYTHON_BIN__|${prefix}/bin/python2.7|" ${workpath}/svgtoipe-${svgtoipe-vers}/svgtoipe.py
+    reinplace "s|__MP_PYTHON_BIN__|${prefix}/bin/python2.7|" ${worksrcpath}/svgtoipe/svgtoipe.py
 }
 
 set python.pkgd ${frameworks_dir}/Python.framework/Versions/2.7/lib/python2.7/site-packages
@@ -67,20 +44,17 @@
                         CC=${configure.cc} CXX=${configure.cxx}
 
 build {
-        system "cd ${workpath}/figtoipe-${figtoipe-vers} && ${build.env} ${build.cmd} ${build.target} CXX=${configure.cxx}"
-        system "cd ${workpath}/ipe5toxml && ${build.env} ${build.cmd}"
-        system "cd ${workpath}/pdftoipe-${pdftoipe-vers}-src && ${build.env} CC=${configure.cxx} ${build.cmd} ${build.target}"
+        system "cd ${worksrcpath}/figtoipe && ${build.env} ${build.cmd} ${build.target} CXX=${configure.cxx}"
+        system "cd ${worksrcpath}/ipe5toxml && ${build.env} ${build.cmd}"
+        system "cd ${worksrcpath}/pdftoipe && ${build.env} CC=${configure.cxx} ${build.cmd} ${build.target}"
 }
 
 destroot {
-        xinstall -m 755 ${workpath}/figtoipe-${figtoipe-vers}/figtoipe ${destroot}${prefix}/bin
-        xinstall -m 644 ${workpath}/figtoipe-${figtoipe-vers}/figtoipe.1 ${destroot}${prefix}/share/man/man1
-        xinstall -m 755 ${workpath}/ipe5toxml/ipe5toxml ${destroot}${prefix}/bin
-        xinstall -m 755 ${workpath}/pdftoipe-${pdftoipe-vers}-src/pdftoipe ${destroot}${prefix}/bin
-        xinstall -m 644 ${workpath}/pdftoipe-${pdftoipe-vers}-src/pdftoipe.1 ${destroot}${prefix}/share/man/man1
-        xinstall -m 755 ${workpath}/svgtoipe-${svgtoipe-vers}/svgtoipe.py ${destroot}${prefix}/bin
+        xinstall -m 755 ${worksrcpath}/figtoipe/figtoipe ${destroot}${prefix}/bin
+        xinstall -m 644 ${worksrcpath}/figtoipe/figtoipe.1 ${destroot}${prefix}/share/man/man1
+        xinstall -m 755 ${worksrcpath}/ipe5toxml/ipe5toxml ${destroot}${prefix}/bin
+        xinstall -m 644 ${worksrcpath}/ipe5toxml/ipe5toxml.1 ${destroot}${prefix}/share/man/man1
+        xinstall -m 755 ${worksrcpath}/pdftoipe/pdftoipe ${destroot}${prefix}/bin
+        xinstall -m 644 ${worksrcpath}/pdftoipe/pdftoipe.1 ${destroot}${prefix}/share/man/man1
+        xinstall -m 755 ${worksrcpath}/svgtoipe/svgtoipe.py ${destroot}${prefix}/bin
 }
-
-livecheck.type  regex
-livecheck.url   http://sourceforge.net/projects/ipe7/files/tools/
-livecheck.regex "to(?:ipe|xml)-(\[0-9\]*)"