diff --git qt5/style/qtcurve.cpp qt5/style/qtcurve.cpp
index febcfcf..1e17882 100644
--- qt5/style/qtcurve.cpp
+++ qt5/style/qtcurve.cpp
@@ -1280,7 +1277,7 @@ void Style::drawLines(QPainter *p, const QRect &r, bool horiz, int nLines, int o
                 drawAaLine(p, x+i, y+offset, x+i, y2-offset);
         }
     }
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 }
 
 void Style::drawProgressBevelGradient(QPainter *p, const QRect &origRect, const QStyleOption *option, bool horiz, EAppearance bevApp,
@@ -1914,7 +1911,7 @@ Style::drawLightBevelReal(QPainter *p, const QRect &rOrig,
     }
     if(plastikMouseOver && (!sunken  || sunkenToggleMo))
         p->restore();
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 
     if(doEtch || glowFocus)
     {
@@ -1972,7 +1969,7 @@ void Style::drawGlow(QPainter *p, const QRect &r, EWidget w, const QColor *cols)
     p->setRenderHint(QPainter::Antialiasing, true);
     p->setPen(col);
     p->drawPath(buildPath(r, w, ROUNDED_ALL, qtcGetRadius(&opts, r.width(), r.height(), w, RADIUS_ETCH)));
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 }
 
 void Style::drawEtch(QPainter *p, const QRect &r, const QWidget *widget,  EWidget w, bool raised, int round) const
@@ -2005,7 +2002,7 @@ void Style::drawEtch(QPainter *p, const QRect &r, const QWidget *widget,  EWidge
     }
 
     p->drawPath(br);
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 }
 
 void Style::drawBgndRing(QPainter &painter, int x, int y, int size, int size2, bool isWindow) const
@@ -2601,7 +2598,7 @@ Style::drawBorder(QPainter *p, const QRect &r, const QStyleOption *option,
         p->drawPath(buildPath(r, w, round, qtcGetRadius(&opts, r.width(), r.height(), w, RADIUS_EXTERNAL)));
     }
 
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 }
 
 void Style::drawMdiControl(QPainter *p, const QStyleOptionTitleBar *titleBar, SubControl sc, const QWidget *widget,
@@ -2840,7 +2837,7 @@ void Style::drawEntryField(QPainter *p, const QRect &rx,  const QWidget *widget,
         p->drawPath(buildPath(r.adjusted(1, 1, -1, -1), WIDGET_SCROLLVIEW==w ? w : WIDGET_ENTRY, round,
                               qtcGetRadius(&opts, r.width()-2, r.height()-2, WIDGET_SCROLLVIEW==w ? w : WIDGET_ENTRY, RADIUS_INTERNAL)));
     }
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 
     if(doEtch && opts.etchEntry)
         drawEtch(p, rx, widget, WIDGET_SCROLLVIEW==w ? w : WIDGET_ENTRY, false);
@@ -3260,7 +3257,7 @@ void Style::drawSliderHandle(QPainter *p, const QRect &r, const QStyleOptionSlid
             path.lineTo(xd+10, yd+9);
             path.arcTo(xd+10-diameter, yd, diameter, diameter, 0, 90);
             p->drawPath(path);
-            p->setRenderHint(QPainter::Antialiasing, false);
+            p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             if(drawLight)
             {
                 p->setPen(use[APPEARANCE_DULL_GLASS==opts.sliderAppearance ? 1 : 0]);
@@ -3289,7 +3286,7 @@ void Style::drawSliderHandle(QPainter *p, const QRect &r, const QStyleOptionSlid
             path.lineTo(xd+5, yd);
             path.lineTo(xd, yd+5);
             p->drawPath(path);
-            p->setRenderHint(QPainter::Antialiasing, false);
+            p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             if(drawLight)
             {
                 p->setPen(use[APPEARANCE_DULL_GLASS==opts.sliderAppearance ? 1 : 0]);
@@ -3318,7 +3315,7 @@ void Style::drawSliderHandle(QPainter *p, const QRect &r, const QStyleOptionSlid
             path.lineTo(xd, yd+5);
             path.lineTo(xd+5, yd+10);
             p->drawPath(path);
-            p->setRenderHint(QPainter::Antialiasing, false);
+            p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             if(drawLight)
             {
                 p->setPen(use[APPEARANCE_DULL_GLASS==opts.sliderAppearance ? 1 : 0]);
@@ -3347,7 +3344,7 @@ void Style::drawSliderHandle(QPainter *p, const QRect &r, const QStyleOptionSlid
             path.lineTo(xd+14, yd+5);
             path.lineTo(xd+9, yd);
             p->drawPath(path);
-            p->setRenderHint(QPainter::Antialiasing, false);
+            p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             if(drawLight)
             {
                 p->setPen(use[APPEARANCE_DULL_GLASS==opts.sliderAppearance ? 1 : 0]);
diff --git qt5/style/qtcurve_api.cpp qt5/style/qtcurve_api.cpp
index 87a927f..f418d10 100644
--- qt5/style/qtcurve_api.cpp
+++ qt5/style/qtcurve_api.cpp
@@ -1145,7 +1160,7 @@ bool Style::eventFilter(QObject *object, QEvent *event)
                 p.setRenderHint(QPainter::Antialiasing, true);
                 p.setPen(use[ORIGINAL_SHADE]);
                 p.drawPath(buildPath(r, WIDGET_OTHER, ROUNDED_ALL, radius));
-                p.setRenderHint(QPainter::Antialiasing, false);
+                p.setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             }
             if (!(opts.square&SQUARE_POPUP_MENUS))
                 p.setClipRegion(windowMask(r, opts.round>ROUND_SLIGHT),
@@ -2120,7 +2130,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
         painter->translate(0, -1);
         painter->setPen(use[4]);
         painter->drawPath(path);
-        painter->setRenderHint(QPainter::Antialiasing, false);
+        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
         if (reverse) {
             painter->drawLine(r.left() + 50 - 1, r.top(), r.right(), r.top());
             painter->drawLine(r.left() + 20, r.bottom() - 2,
@@ -2513,7 +2523,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
             drawAaLine(painter, r.x() + r.width() - 1, r.y(),
                        r.x() + r.width() - 1, r.y() + r.height() - 1);
         }
-        painter->setRenderHint(QPainter::Antialiasing, false);
+        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
         painter->restore();
         break;
     }
@@ -2604,7 +2614,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
                                                      r.width(), 2), true, true);
                     }
                 }
-                painter->setRenderHint(QPainter::Antialiasing, false);
+                painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             } else if (!qtcIsFlat(opts.lvAppearance) && !reverse &&
                        ((State_Enabled | State_Active) == state ||
                         State_Enabled == state)) {
@@ -3683,7 +3699,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
                         col.setAlphaF(0.5);
                         painter->setPen(col);
                         drawAaLine(painter, r.left()+1, r.top()+2, r.right()-1, r.top()+2);
-                        painter->setRenderHint(QPainter::Antialiasing, false);
+                        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
                         painter->setClipRect(QRect(r.x(), r.y(), r.width(), highlightBorder));
                         drawBorder(painter, r, option, ROUNDED_ALL, m_highlightCols, WIDGET_TAB_TOP, BORDER_FLAT, false, 3);
                     }
@@ -3768,7 +3784,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
                         col.setAlphaF(0.5);
                         painter->setPen(col);
                         drawAaLine(painter, r.left()+1, r.bottom()-2, r.right()-1, r.bottom()-2);
-                        painter->setRenderHint(QPainter::Antialiasing, false);
+                        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
                         painter->setClipRect(QRect(r.x(), r.y()+r.height()-highlightBorder, r.width(), r.y()+r.height()-1));
                         drawBorder(painter, r, option, ROUNDED_ALL, m_highlightCols, WIDGET_TAB_BOT, BORDER_FLAT, false, 3);
                     }
@@ -3846,7 +3862,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
                         col.setAlphaF(0.5);
                         painter->setPen(col);
                         drawAaLine(painter, r.left()+2, r.top()+1, r.left()+2, r.bottom()-1);
-                        painter->setRenderHint(QPainter::Antialiasing, false);
+                        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
                         painter->setClipRect(QRect(r.x(), r.y(), highlightBorder, r.height()));
                         drawBorder(painter, r, option, ROUNDED_ALL, m_highlightCols, WIDGET_TAB_TOP, BORDER_FLAT, false, 3);
                     }
@@ -3924,7 +3940,7 @@ Style::drawControl(ControlElement element, const QStyleOption *option,
                         col.setAlphaF(0.5);
                         painter->setPen(col);
                         drawAaLine(painter, r.right()-2, r.top()+1, r.right()-2, r.bottom()-1);
-                        painter->setRenderHint(QPainter::Antialiasing, false);
+                        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
                         painter->setClipRect(QRect(r.x()+r.width()-highlightBorder, r.y(), r.x()+r.width()-1, r.height()));
                         drawBorder(painter, r, option, ROUNDED_ALL, m_highlightCols, WIDGET_TAB_TOP, BORDER_FLAT, false, 3);
                     }
@@ -5254,7 +5270,7 @@ void Style::drawComplexControl(ComplexControl control, const QStyleOptionComplex
                                             ? 6.0
                                             : 2.0));
 
-                painter->setRenderHint(QPainter::Antialiasing, false);
+                painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 
                 if(addLight)
                 {
@@ -5307,7 +5323,7 @@ void Style::drawComplexControl(ComplexControl control, const QStyleOptionComplex
                 }
             }
             else
-                painter->setRenderHint(QPainter::Antialiasing, false);
+                painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 
             if(kwin)
             {
diff --git qt5/style/qtcurve_p.h qt5/style/qtcurve_p.h
index bfc7502..6f2ee31 100644
--- qt5/style/qtcurve_p.h
+++ qt5/style/qtcurve_p.h
@@ -283,4 +286,6 @@ bool isA(const QObject *w, const char *type);
 
 }
 
+#define QPAINTER_ANTIALIAS_MAYBE_ON true
+
 #endif
diff --git qt5/style/qtcurve_primitive.cpp qt5/style/qtcurve_primitive.cpp
index b5a3204..c014df8 100644
--- qt5/style/qtcurve_primitive.cpp
+++ qt5/style/qtcurve_primitive.cpp
@@ -555,7 +560,7 @@ Style::drawPrimitiveFrame(PrimitiveElement,
                                     0 : QTC_STD_BORDER];
             }
             border.setAlphaF(1.0);
-            painter->setRenderHint(QPainter::Antialiasing, false);
+            painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             painter->setPen(border);
             drawRect(painter, r);
         } else {
@@ -648,7 +653,7 @@ Style::drawPrimitiveFrame(PrimitiveElement,
                                                r.height() - 2,
                                                WIDGET_SCROLLVIEW,
                                                RADIUS_INTERNAL)));
-                    painter->setRenderHint(QPainter::Antialiasing, false);
+                    painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
                 }
                 drawBorder(painter, r, &opt,
                            opts.round ? getFrameRound(widget) : ROUND_NONE,
@@ -1042,7 +1047,7 @@ Style::drawPrimitiveFrameWindow(PrimitiveElement,
     }
     if (opts.round < ROUND_SLIGHT || !isKWin ||
         (state & QtC_StateKWinNotFull && state & QtC_StateKWin)) {
-        painter->setRenderHint(QPainter::Antialiasing, false);
+        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
         if (addLight) {
             painter->setPen(light);
             painter->drawLine(r.x() + 1, r.y(), r.x() + 1,
@@ -1052,7 +1057,7 @@ Style::drawPrimitiveFrameWindow(PrimitiveElement,
         drawRect(painter, r);
     } else {
         if (addLight) {
-            painter->setRenderHint(QPainter::Antialiasing, false);
+            painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             painter->setPen(light);
             painter->drawLine(r.x() + 1, r.y(), r.x() + 1,
                               r.y() + r.height() -
@@ -1068,7 +1073,7 @@ Style::drawPrimitiveFrameWindow(PrimitiveElement,
             QColor col(opts.windowBorder & WINDOW_BORDER_COLOR_TITLEBAR_ONLY ?
                        backgroundColors(option)[QTC_STD_BORDER] :
                        buttonColors(option)[QTC_STD_BORDER]);
-            painter->setRenderHint(QPainter::Antialiasing, false);
+            painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             painter->setPen(col);
             painter->drawPoint(r.x() + 2, r.y() + r.height() - 3);
             painter->drawPoint(r.x() + r.width() - 3, r.y() + r.height() - 3);
@@ -1232,7 +1237,7 @@ Style::drawPrimitiveButton(PrimitiveElement element, const QStyleOption *option,
             painter->setPen(cols[isDown ? 0 : 4]);
             painter->setRenderHint(QPainter::Antialiasing, true);
             painter->drawPath(path);
-            painter->setRenderHint(QPainter::Antialiasing, false);
+            painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             break;
         }
         case IND_COLORED: {
@@ -1262,7 +1267,7 @@ Style::drawPrimitivePanelMenu(PrimitiveElement, const QStyleOption *option,
         painter->setRenderHint(QPainter::Antialiasing, true);
         painter->setPen(use[ORIGINAL_SHADE]);
         painter->drawPath(buildPath(r, WIDGET_OTHER, ROUNDED_ALL, radius));
-        painter->setRenderHint(QPainter::Antialiasing, false);
+        painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
     }
     if (!(opts.square & SQUARE_POPUP_MENUS)) {
         painter->setClipRegion(windowMask(r, opts.round > ROUND_SLIGHT),
@@ -1718,7 +1723,7 @@ Style::drawPrimitiveIndicatorCheckBox(PrimitiveElement element,
                 painter->setRenderHint(QPainter::Antialiasing, true);
                 painter->setPen(use[CR_MO_FILL]);
                 drawAaRect(painter, rect.adjusted(1, 1, -1, -1));
-                painter->setRenderHint(QPainter::Antialiasing, false);
+                painter->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
             } else {
                 painter->setPen(midColor(state & State_Enabled ?
                                          palette.base().color() :
diff --git qt5/style/qtcurve_utils.cpp qt5/style/qtcurve_utils.cpp
index ac516bf..b51db33 100644
--- qt5/style/qtcurve_utils.cpp
+++ qt5/style/qtcurve_utils.cpp
@@ -341,7 +341,7 @@ drawDots(QPainter *p, const QRect &r, bool horiz, int nLines, int offset,
             for(j=0; j<numDots; j++)
                 drawAaPoint(p, x+i, y+offset+1+(3*j));
     }
-    p->setRenderHint(QPainter::Antialiasing, false);
+    p->setRenderHint(QPainter::Antialiasing, QPAINTER_ANTIALIAS_MAYBE_ON);
 }
 
 bool